Subject: Re: bug#36855: guix system switch-generation doesn't

From: [email-masked] (Jakob L. Kreuze)
Date: Wed, 28 Aug 2019 14:28:39 -0400

Hi Ludo,

Ludovic Courtès <[email-masked]> writes:

> Jakob, now that we generate scripts for the effectful bits of system
> reconfiguration (one of these bits being service upgrades), couldn’t
> we take it one step further and store those scripts in the “system”
> derivation so we can run them eventually, notably upon
> ‘switch-generation’?

We'd need to find a way of serializing at least the relationships
between services, but I think it's possible (albeit quite involved). I
do really like the idea, though. That way, the system generation would
fully encompass the desired state of the system.

Regards,
Jakob